Arduino

Reference Language | Libraries | Comparison | Changes

## read()

#### Description

read() reads characters from an incoming stream to the buffer.

This function is part of the Stream class, and is called by any class that inherits from it (Wire, Serial, etc). See the Stream class main page for more information.

#### Syntax

stream.read()

#### Parameters

stream : an instance of a class that inherits from Stream.

#### Returns

the first byte of incoming data available (or -1 if no data is available)

#### See also

- Stream

Reference Home Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes